<template>
  <div class="font-['Lato']">
    <div class="bg-gradient-to-r from-cyan-blue to-light-cyan">
      <div class="sticky top-0 z-20">
        <div
          class="shrink-0 h-[5px] bg-gradient-to-r from-dark-cyan to-blue"
        ></div>
        <div
          class="flex items-center justify-end bg-white h-[67px] max-w-full rounded-xl shadow-lg z-[1]"
        >
          <div class="p-1 text-lg font-medium text-dark-cyan mr-4">Login</div>
        </div>
      </div>
      <div class="min-w-full">
        <div
          class="flex items-center flex-col text-[42px] text-grayish-blue leading-[50px] p-5"
        >
          <span>Deine Job</span>
          <span> website</span>
        </div>
        <img class="w-full" src="~/assets/images/agreement.svg" />
        <img class="w-full" src="~/assets/images/wave.svg" />

        <div class="bg-white w-full">
          <div
            class="inline-flex rounded-md shadow-sm w-full px-3"
            role="group"
          >
            <button
              type="button"
              class="flex-1 py-2 px-4 text-sm font-medium text-dark-cyan bg-white rounded-l-lg border border-blue-500 hover:border-transparent hover:bg-light-cyan focus:bg-riptide focus:text-white"
              :class="[
                currentPage === 0
                  ? ['bg-riptide', 'text-white', 'border-transparent']
                  : '',
              ]"
              @click="onBtnClick(0)"
            >
              Arbeitnehmer
            </button>
            <button
              type="button"
              class="flex-1 py-2 px-4 text-sm font-medium text-dark-cyan border border-blue-500 hover:border-transparent hover:bg-light-cyan focus:bg-riptide focus:text-white"
              :class="[
                currentPage === 1
                  ? ['bg-riptide', 'text-white', 'border-transparent']
                  : '',
              ]"
              @click="onBtnClick(1)"
            >
              Arbeitgeber
            </button>
            <button
              type="button"
              class="flex-1 py-2 px-4 text-sm font-medium text-dark-cyan bg-white rounded-r-md border border-blue-500 hover:border-transparent hover:bg-light-cyan focus:bg-riptide focus:text-white"
              :class="[
                currentPage === 2
                  ? ['bg-riptide', 'text-white', 'border-transparent']
                  : '',
              ]"
              @click="onBtnClick(2)"
            >
              Temporärbüro
            </button>
          </div>

          <div class="w-full z-1 relative">
            <div
              class="flex items-center flex-col text-[21px] text-finn leading-[25px] p-5"
            >
              <span>Drei einfache Schritte </span>
              <span>zu deinem neuen Mitarbeiter</span>
            </div>

            <div class="first-section flex-col flex h-64 relative">
              <img
                class="w-[220px] h-[145px] self-end mr-10 absolute top-0 right-0 z-10"
                src="~/assets/images/profile.svg"
              />

              <div class="relative">
                <div
                  class="h-52 w-52 rounded-full bg-grayish -ml-10 mt-10"
                ></div>
                <div class="absolute left-0 bottom-5">
                  <span
                    class="text-[130px] text-light-grayish-blue leading-[156px] ml-2"
                    >1.
                  </span>
                  <span
                    class="text-[16px] text-light-grayish-blue leading-[19px]"
                    >Erstellen dein Lebenslauf
                  </span>
                </div>
              </div>
            </div>

            <div class="second-section flex-col flex relative z-[5]">
              <div class="w-full -mt-14">
                <img class="w-full" src="~/assets/images/wave2.svg" />
                <div
                  class="bg-gradient-to-r from-light-cyan to-cyan-blue h-56"
                ></div>
                <img class="w-full" src="~/assets/images/wave3.svg" />
              </div>
              <div class="absolute top-0 left-0">
                <span
                  class="text-[130px] text-light-grayish-blue leading-[156px] ml-9"
                  >2.
                </span>
                <span
                  class="text-[16px] text-light-grayish-blue leading-[19px] ml-2"
                  >Erstellen dein Lebenslauf
                </span>
              </div>

              <img
                class="w-[181px] h-[127px] self-end mr-10 absolute bottom-12 right-5"
                src="~/assets/images/task.svg"
              />
            </div>

            <div class="third-section flex-col flex h-72">
              <div class="relative">
                <div
                  class="h-[300px] w-[300px] rounded-full bg-grayish -ml-10 -mt-[80px]"
                ></div>
                <div class="absolute left-5 -top-16 flex items-center">
                  <div
                    class="text-[130px] text-light-grayish-blue leading-[156px] ml-7"
                  >
                    3.
                  </div>
                  <div
                    class="text-[16px] text-light-grayish-blue leading-[19px] ml-5"
                  >
                    Mit nur einem Klick bewerben
                  </div>
                </div>
              </div>

              <img
                class="w-[280px] h-[210px] self-end absolute bottom-10"
                src="~/assets/images/file.svg"
              />
            </div>
          </div>
        </div>

        <div
          class="flex justify-center items-center bg-white h-24 max-w-full rounded-xl shadow-t-xl z-20 sticky bottom-0"
        >
          <button
            class="bg-gradient-to-r from-dark-cyan to-blue py-2 px-4 text-white rounded-[12px] w-full mx-10 h-10"
          >
            Kostenlos Registrieren
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'

@Component({})
export default class MyComponent extends Vue {
  currentPage = 0

  onBtnClick(e: number): void {
    this.currentPage = e
  }
}
</script>
